<? // $Id$

/**
 * @file
 * Configuration page for node_tasklist
 */

/**
 * Implementation of settings page
 */

function node_tasklist_admin() {
  $form = array();

//print_r(node_get_types('names'));
  $form['node_tasklist_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Enabled types'),
    '#default_value' => variable_get('node_tasklist_types', array(NULL => NULL)),
    '#options' => node_get_types('names'),
    '#description' => t('After choosing which node types you would like to enable as a tasklist save this page and you will get options for configuring each type.  If you REMOVE any items your blocks could be reassigned!  Check your block configuration after if you are using blocks.'),
  );


  if (variable_get('node_tasklist_types', NULL)) {
    foreach (variable_get('node_tasklist_types', array(NULL => NULL)) as $type => $value) {
  
      if ("$type" == "$value") {
  
        $form[$type] = array(
          '#type' => 'fieldset',
          '#title' => node_get_types('name', $type),
          '#collapsed' => FALSE,
          '#collapsible' => TRUE,
          '#description' => t('Creates a block called "') . t('Tasklist: ') . node_get_types('name', $type) . t('" and a page located at /tl/') . $type . ".",
        );
        $form[$type]['node_tasklist_' . $type . '_sort'] = array(
          '#type' => 'radios',
          '#title' => t('Sort method'),
          '#default_value' => variable_get('node_tasklist_' . $type . '_sort', '0'),
          '#options' => array('0' => 'Weekly (find nodes starting with YYYY-WW)', '1' => 'Daily (find nodes strting with YYYY-MM-DD)', '2' => 'Node publish date (sorted by creation time (experimental))'),
        );
        $form[$type]['node_tasklist_' . $type . '_frequency'] = array(
          '#type' => 'radios',
          '#title' => t('Node auto-creation frequency'),
          '#default_value' => variable_get('node_tasklist_' . $type . '_frequency', '0'),
          '#options' => array('0' => 'Weekly (create nodes named with YYYY-WW)', '1' => 'Daily (create nodes named with YYYY-MM-DD)'),
        );
        $form[$type]['node_tasklist_' . $type . '_multi'] = array(
          '#type' => 'checkbox',
          '#title' => t('Multiuser'),
          '#description' => t('Generates nodes for each user on the site with permission to edit this type (either edit own or edit any). Users must also have "access content" permission.'),
          '#default_value' => variable_get('node_tasklist_' . $type . '_multi', '0'),
          '#options' => array('0' => 'False', '1' => 'True'),
        );
  
  
      }
    }
  }

  return system_settings_form($form);
}

